Summary:  Jansson is a C library for encoding, decoding and manipulating JSON data.
Name:     jansson
Version:  2.14
Release:  7%{?dist}

License:  MIT
URL:      http://www.digip.org/jansson/
Source0:  https://github.com/akheron/jansson/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch5000:jansson-modified-pkgconfig-releated-cmake-var-from-path-to-string.patch
Patch5001:fix-default-symver-can-not-be-set-when-use-cmake.patch


BuildRequires:	gcc, make, cmake

%description
Jansson is a C library for encoding, decoding and manipulating JSON data. Its features:
 * Simple and intuitive API and data model

 * Comprehensive documentation

 * No dependencies on other libraries

 * Full Unicode support (UTF-8)

 * Extensive test suite

%package devel
Summary: Header files for jansson
Requires: %{name} = %{version}-%{release}

%description devel
Header files for developing applications making use of jansson.



%prep
%autosetup



%build
%cmake -DJANSSON_BUILD_DOCS=OFF -DJANSSON_BUILD_SHARED_LIBS=ON -DJANSSON_INSTALL_LIB_DIR=%{_lib}
%cmake_build



%check
(cd %_vpath_builddir && make check)
%ctest



%install
%cmake_install
mv %{buildroot}/usr/lib %{buildroot}%{_libdir} || true

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%doc CHANGES
%{_libdir}/*.so.*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_libdir}/cmake/%{name}/*.cmake



%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-6
- Rebuilt for loongarch release

* Mon Mar 18 2024 Wenlong Zhang <zhangwenlong@loongson.cn> - 2.14-5
- fix --default-symver can not be set when use cmake

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Apr 27 2022 Zhao Zhen <jeremiazhao@tencent.com> - 2.14-1
- initial
